> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk cancel call-off orders

> Bulk cancel call-off orders.



## OpenAPI

````yaml /openapi/openapi_commerce.json post /commerce/callofforders/actions/bulk-cancel
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/callofforders/actions/bulk-cancel:
    post:
      tags:
        - CallOffOrder
      summary: Bulk cancel call-off orders
      description: Bulk cancel call-off orders.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkCancelRequest'
        description: Bulk cancel request.
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkCancelResult'
            text/json:
              schema:
                $ref: '#/components/schemas/BulkCancelResult'
            text/plain:
              schema:
                $ref: '#/components/schemas/BulkCancelResult'
          description: OK
components:
  schemas:
    BulkCancelRequest:
      properties:
        correlationId:
          nullable: true
          type: string
        orderIds:
          items:
            type: string
          nullable: true
          type: array
        reason:
          $ref: '#/components/schemas/CommerceRuntimeCanceledReason'
      type: object
    BulkCancelResult:
      properties:
        correlationId:
          nullable: true
          type: string
        resourceType:
          nullable: true
          type: string
        results:
          items:
            $ref: '#/components/schemas/BulkCancelResultItem'
          nullable: true
          type: array
        totalFailed:
          format: int32
          type: integer
        totalProcessed:
          format: int32
          type: integer
        totalRequested:
          format: int32
          type: integer
        totalSucceeded:
          format: int32
          type: integer
      type: object
    CommerceRuntimeCanceledReason:
      allOf:
        - $ref: '#/components/schemas/Reason'
        - additionalProperties: false
          type: object
    BulkCancelResultItem:
      properties:
        cancelledResource:
          nullable: true
        error:
          $ref: '#/components/schemas/BulkCancelError'
        orderId:
          nullable: true
          type: string
        outcome:
          nullable: true
          type: string
        resourceType:
          nullable: true
          type: string
      type: object
    Reason:
      properties:
        description:
          nullable: true
          type: string
        moreInfo:
          nullable: true
          type: string
        reasonCode:
          nullable: true
          type: string
      type: object
    BulkCancelError:
      properties:
        category:
          nullable: true
          type: string
        code:
          nullable: true
          type: string
        message:
          nullable: true
          type: string
        retryable:
          type: boolean
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````